int buzzerPin = 10;  //Ausgangspin für den Buzzer
int inputPin = 2; // Eingangspin des PIR Sensors
int pirState = LOW; //Status des PIR Sensors

void setup() {
  pinMode(buzzerPin, OUTPUT); //Den Buzzer als Ausgang deklarieren
  pinMode(inputPin, INPUT);  //Den PIR Sensor als Eingang deklarieren
  Serial.begin(9600); //Serielle kommunikation mit 9600 Baud beginnen.
}

void loop(){
  int val = digitalRead(inputPin); //Das Eingangssignal lesen
  if (val == HIGH) { // Prüfen ob der Wert HIGH, also ob ein Signal anliegt
    //Wenn der gespeicherte Status == LOW ist, also wenn vorher kein Signal vorhanden war,
    //dann soll auf dem Seriellen Ausgang der Text ausgegeben werden und der PIR Status auf HIGH gesetzt werden.
    if (pirState == LOW) { 
      Serial.println("Bewegung erkannt!");
      pirState = HIGH;
    }
   //Wenn der gelesene Wert nicht HIGH ist, also es liegt KEIN Signal an.
  } else {
    //Wenn der PIR Status HIGH ist, also es lag ein Signal vorher an,
    //dann soll auf dem Seriellen Ausgang der Text ausgegeben werden und der PIR Status auf LOW gesetzt werden.
    if (pirState == HIGH){
      Serial.println("Bewegung beendet!");
      pirState = LOW;
    }
  }
  
  //Wenn der PIR Status auf HIGH ist dann soll ein Ton ausgegeben werden.
  //Hier könnte auch zusätzlich eine LED oder ähnliches mit angebracht werden.
  if(pirState == HIGH){
    tone(buzzerPin,850, 500);
  }
    
//  digitalWrite(ledPin, pirState); 
}

